Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023935
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-05-29 16:132013-07-19 09:31
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revisionfe0dbb636ebc
ProjectionnoneETAnoneTarget VersionRMP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023935: Different behaviour if you create the invoice in the cash up or not

DescriptionDifferent behaviour if you create the invoice in the cash up or not
Steps To Reproduce-Login in Web POS
-Create a ticket and the invoice at the same time.
You will see that in the invoice description you can see the related order.

2nd scene:
-Create an order
-Execute the cash up

You will see that generated invoice hasn't got the description filled with the order documentno
Proposed SolutionOnly when the user has not checked the option "Group orders in one invoice" in window "POS terminal type" the application should fill the description with the realated order. In this way the relation will be always one to one and it has logic to fill the description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024547RMP27 closedmalsasua Different behaviour if you create the invoice in the cash up or not 

-  Notes
(0059846)
hgbot (developer)
2013-07-03 18:07

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: fe0dbb636ebc3836c5dfa6c2331ced5c290b1581
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 03 18:07:19 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fe0dbb636ebc3836c5dfa6c2331ced5c290b1581 [^]

Fixed issue 23935. If POS Terminal is configured not to group invoices in cash up, then the generated invoices will contain the order document number in the description.

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0059848)
hgbot (developer)
2013-07-03 18:29

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8842d19477020fef298afc14fdfa7a98d25a8f15
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 03 18:29:08 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8842d19477020fef298afc14fdfa7a98d25a8f15 [^]

Related to issue 23935. Improved code a bit.

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0059867)
hgbot (developer)
2013-07-04 16:41

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: fe0dbb636ebc3836c5dfa6c2331ced5c290b1581
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 03 18:07:19 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/fe0dbb636ebc3836c5dfa6c2331ced5c290b1581 [^]

Fixed issue 23935. If POS Terminal is configured not to group invoices in cash up, then the generated invoices will contain the order document number in the description.

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0059868)
hgbot (developer)
2013-07-04 16:41

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 8842d19477020fef298afc14fdfa7a98d25a8f15
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 03 18:29:08 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/8842d19477020fef298afc14fdfa7a98d25a8f15 [^]

Related to issue 23935. Improved code a bit.

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0060119)
migueldejuana (developer)
2013-07-19 09:31

Tested and reviewed in 4abc82b73efa

- Issue History
Date Modified Username Field Change
2013-05-29 16:13 jecharri New Issue
2013-05-29 16:13 jecharri Assigned To => marvintm
2013-07-03 13:02 marvintm Steps to Reproduce Updated View Revisions
2013-07-03 18:07 hgbot Checkin
2013-07-03 18:07 hgbot Note Added: 0059846
2013-07-03 18:07 hgbot Status new => resolved
2013-07-03 18:07 hgbot Resolution open => fixed
2013-07-03 18:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fe0dbb636ebc3836c5dfa6c2331ced5c290b1581 [^]
2013-07-03 18:29 hgbot Checkin
2013-07-03 18:29 hgbot Note Added: 0059848
2013-07-04 16:41 hgbot Checkin
2013-07-04 16:41 hgbot Note Added: 0059867
2013-07-04 16:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fe0dbb636ebc3836c5dfa6c2331ced5c290b1581 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/fe0dbb636ebc3836c5dfa6c2331ced5c290b1581 [^]
2013-07-04 16:41 hgbot Checkin
2013-07-04 16:41 hgbot Note Added: 0059868
2013-07-19 09:31 migueldejuana Review Assigned To => migueldejuana
2013-07-19 09:31 migueldejuana Note Added: 0060119
2013-07-19 09:31 migueldejuana Status resolved => closed
2013-07-19 09:31 migueldejuana Fixed in Version => RMP25
2013-08-20 12:26 jecharri Relationship added related to 0024547


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker